Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Flash 10 Beta?
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3  
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
KejPi
Tux's lil' helper
Tux's lil' helper


Joined: 17 Jan 2004
Posts: 122
Location: Prague, Czech republic

PostPosted: Mon Jul 07, 2008 1:07 pm    Post subject: Reply with quote

Naib wrote:
new version out
http://download.macromedia.com/pub/labs/flashplayer10/flashplayer10_install_linux_070208.i386.rpm

edit yr local ebuild for that d/l


This version doesn't work correctly in Konqueror on my system (x86). Tested on youtube videos in KDE 3.5.9 and KDE 4.1 SVN. Usually flash is not displayed, or it is displayed after reloading. I downgraded back to previous beta and it works fine.

Does anyone else have this problem?

Regards,
Petr
_________________
hidentity.org
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 6108
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Mon Jul 07, 2008 5:40 pm    Post subject: Reply with quote

KejPi wrote:
Naib wrote:
new version out
http://download.macromedia.com/pub/labs/flashplayer10/flashplayer10_install_linux_070208.i386.rpm

edit yr local ebuild for that d/l


This version doesn't work correctly in Konqueror on my system (x86). Tested on youtube videos in KDE 3.5.9 and KDE 4.1 SVN. Usually flash is not displayed, or it is displayed after reloading. I downgraded back to previous beta and it works fine.

Does anyone else have this problem?

Regards,
Petr


I encounter something similar with firefox, nspluginwrapper on amd64, not really a big deal to reload to make it work; obviously it's kind of a bug :idea:
_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD/tree/ZFS-for-SysRescCD-4.9.0
https://github.com/kernelOfTruth/pulseaudio-equalizer-ladspa

Hardcore Gentoo Linux user since 2004 :D
Back to top
View user's profile Send private message
Ivanich_
Tux's lil' helper
Tux's lil' helper


Joined: 10 Feb 2006
Posts: 104
Location: Ukraine, Odessa

PostPosted: Mon Jul 07, 2008 7:26 pm    Post subject: Reply with quote

Quote:
Does anyone else have this problem?

Yes. Therefore I was forced to use other browser. :(
Back to top
View user's profile Send private message
kev009
n00b
n00b


Joined: 17 Oct 2005
Posts: 43
Location: Tempe, Arizona

PostPosted: Tue Jul 08, 2008 6:25 am    Post subject: Reply with quote

New nspluginwrapper snapshot: "A standalone plugins player (nspluginplayer) was added. Windowless plugins (e.g. Flash Player 10 beta 2) are now supported in Firefox 3. NSPluginWrapper now tries to restart plugins that crashed, thus avoiding a browser restart. "

Should make 64bit life much better.
_________________
http://www.kev009.com
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 6108
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Tue Sep 16, 2008 10:28 am    Post subject: Reply with quote

kev009 wrote:
New nspluginwrapper snapshot: "A standalone plugins player (nspluginplayer) was added. Windowless plugins (e.g. Flash Player 10 beta 2) are now supported in Firefox 3. NSPluginWrapper now tries to restart plugins that crashed, thus avoiding a browser restart. "

Should make 64bit life much better.


yeah, this REALLY makes it work great :)

anyone tried the latest beta/rc ?

http://www.phoronix.com/scan.php?page=news_item&px=NjcyNA

I renamed the ebuild yesterday but couldn't get it to run since it always would kill/crash the browser during launch (amd64, i386)

any new ebuild ?

many thanks in advance :)
_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD/tree/ZFS-for-SysRescCD-4.9.0
https://github.com/kernelOfTruth/pulseaudio-equalizer-ladspa

Hardcore Gentoo Linux user since 2004 :D
Back to top
View user's profile Send private message
gimpel
Advocate
Advocate


Joined: 15 Oct 2004
Posts: 2720
Location: Munich, Bavaria

PostPosted: Tue Sep 16, 2008 11:35 am    Post subject: Reply with quote

kernelOfTruth wrote:

I renamed the ebuild yesterday but couldn't get it to run since it always would kill/crash the browser during launch (amd64, i386)


On x86, try symlinking /usr/lib/libcurl.so.4 -> libcurl.so.3 (Really dirty hack, indeed)

On x86_64, you/we are f*cked (no emul-linux-x86 package for curl it seems, and maybe others like nss etc...)
-> Good bye adobe flash, hello swfdec it will be for x86_64.

Adobe totally messed up with this one.

Update: well, read yourself: http://blogs.adobe.com/penguin.swf/
For amd64 we'll need a 32bit curl binary it seems.
_________________
http://proaudio.tuxfamily.org/wiki - pro-audio software overlay
Back to top
View user's profile Send private message
kev009
n00b
n00b


Joined: 17 Oct 2005
Posts: 43
Location: Tempe, Arizona

PostPosted: Thu Sep 18, 2008 3:43 am    Post subject: Reply with quote

Running flash10 rc20080915 from portage with the masked 1.1.0 nspluginwrapper, works fine.
_________________
http://www.kev009.com
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 6108
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Thu Sep 18, 2008 10:03 am    Post subject: Reply with quote

kev009 wrote:
Running flash10 rc20080915 from portage with the masked 1.1.0 nspluginwrapper, works fine.


ebuild, please :P (for flash)
_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD/tree/ZFS-for-SysRescCD-4.9.0
https://github.com/kernelOfTruth/pulseaudio-equalizer-ladspa

Hardcore Gentoo Linux user since 2004 :D
Back to top
View user's profile Send private message
gimpel
Advocate
Advocate


Joined: 15 Oct 2004
Posts: 2720
Location: Munich, Bavaria

PostPosted: Thu Sep 18, 2008 10:57 am    Post subject: Reply with quote

kernelOfTruth wrote:
kev009 wrote:
Running flash10 rc20080915 from portage with the masked 1.1.0 nspluginwrapper, works fine.


ebuild, please :P (for flash)

:)

Works fine here too, thanks to that flash-libcompat which gets installed toghether with the ebuild.
_________________
http://proaudio.tuxfamily.org/wiki - pro-audio software overlay
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 6108
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Thu Sep 18, 2008 11:32 am    Post subject: Reply with quote

gimpel wrote:
kernelOfTruth wrote:
kev009 wrote:
Running flash10 rc20080915 from portage with the masked 1.1.0 nspluginwrapper, works fine.


ebuild, please :P (for flash)

:)

Works fine here too, thanks to that flash-libcompat which gets installed toghether with the ebuild.


nspluginwrapper-1.1* (masked ebuild) crashes for me way to often,

I used the ebuild from https://bugs.gentoo.org/234542, renamed it (probably the same like kev009 did) and it works great (with xulrunner-bin)
_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD/tree/ZFS-for-SysRescCD-4.9.0
https://github.com/kernelOfTruth/pulseaudio-equalizer-ladspa

Hardcore Gentoo Linux user since 2004 :D
Back to top
View user's profile Send private message
kev009
n00b
n00b


Joined: 17 Oct 2005
Posts: 43
Location: Tempe, Arizona

PostPosted: Thu Sep 18, 2008 2:24 pm    Post subject: Reply with quote

kernelOfTruth wrote:
gimpel wrote:
kernelOfTruth wrote:
kev009 wrote:
Running flash10 rc20080915 from portage with the masked 1.1.0 nspluginwrapper, works fine.


ebuild, please :P (for flash)

:)

Works fine here too, thanks to that flash-libcompat which gets installed toghether with the ebuild.


nspluginwrapper-1.1* (masked ebuild) crashes for me way to often,

I used the ebuild from https://bugs.gentoo.org/234542, renamed it (probably the same like kev009 did) and it works great (with xulrunner-bin)


Take a look again at my post. netscape-flash-10_rc20080915 is in portage. Not sure about the wrapper 1.1 crashes, it is fairly stable here. Make sure to re-emerge nspluginwrapper after bumps to make new links. Also interesting: I don't have a libcurl.so.3 link and all seems well.
_________________
http://www.kev009.com
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 6108
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Fri Sep 19, 2008 1:59 pm    Post subject: Reply with quote

kev009 wrote:

Take a look again at my post. netscape-flash-10_rc20080915 is in portage. Not sure about the wrapper 1.1 crashes, it is fairly stable here. Make sure to re-emerge nspluginwrapper after bumps to make new links. Also interesting: I don't have a libcurl.so.3 link and all seems well.


I did, ok, so it's already in portage :)

I re-emerged nspluginwrapper-1.1 several times but it still kept on crashing, perhaps everything's just too new on my box (~amd64 with hardened toolchain)

thanks
_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD/tree/ZFS-for-SysRescCD-4.9.0
https://github.com/kernelOfTruth/pulseaudio-equalizer-ladspa

Hardcore Gentoo Linux user since 2004 :D
Back to top
View user's profile Send private message
gimpel
Advocate
Advocate


Joined: 15 Oct 2004
Posts: 2720
Location: Munich, Bavaria

PostPosted: Fri Sep 19, 2008 4:19 pm    Post subject: Reply with quote

kernelOfTruth wrote:
kev009 wrote:

Take a look again at my post. netscape-flash-10_rc20080915 is in portage. Not sure about the wrapper 1.1 crashes, it is fairly stable here. Make sure to re-emerge nspluginwrapper after bumps to make new links. Also interesting: I don't have a libcurl.so.3 link and all seems well.


I did, ok, so it's already in portage :)

I re-emerged nspluginwrapper-1.1 several times but it still kept on crashing, perhaps everything's just too new on my box (~amd64 with hardened toolchain)

thanks

Here it crashes if I use alsa-lib-1.0.18_rc (from e.g. zen-overlay), stable 1.0.17 is OK.
_________________
http://proaudio.tuxfamily.org/wiki - pro-audio software overlay
Back to top
View user's profile Send private message
enkil
Tux's lil' helper
Tux's lil' helper


Joined: 27 Apr 2004
Posts: 115
Location: Bern, Switzerland

PostPosted: Fri Sep 19, 2008 9:47 pm    Post subject: Reply with quote

kev009 wrote:
Running flash10 rc20080915 from portage with the masked 1.1.0 nspluginwrapper, works fine.

Just wondering: Are you using firefox3? I am on x86 an all flash10 betas/rcs make firefox use all available cpu cycles resulting in unbearable slowness of the entire system. Opera is fine though...
Back to top
View user's profile Send private message
kev009
n00b
n00b


Joined: 17 Oct 2005
Posts: 43
Location: Tempe, Arizona

PostPosted: Wed Sep 24, 2008 8:48 pm    Post subject: Reply with quote

Heads up: nspluginwrapper-1.1.0 and FF 3.0.2 resulted in a completely unusable browser for me (crash on load). Reverted to nspluginwrapper-1.0.0 and it seems to be working as usual now.
_________________
http://www.kev009.com
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2, 3
Page 3 of 3

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum